net.sf.cglib.reflect

## Class FastClass.Generator

- java.lang.Object
- - net.sf.cglib.core.AbstractClassGenerator
  - - net.sf.cglib.reflect.FastClass.Generator

- All Implemented Interfaces:
    ClassGenerator
  Enclosing class:
    FastClass

      public static class FastClass.Generator
      extends AbstractClassGenerator

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FastClass.Generator()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `FastClass` | `create()`
    `void` | `generateClass(ClassVisitor v)`
    `void` | `setType(java.lang.Class type)`

    - ### Methods inherited from class net.sf.cglib.core.AbstractClassGenerator

      `getAttemptLoad, getClassLoader, getCurrent, getNamingPolicy, getStrategy, getUseCache, setAttemptLoad, setClassLoader, setNamingPolicy, setStrategy, setUseCache`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FastClass.Generator

          public FastClass.Generator()

  - ### Method Detail

    - #### setType

          public void setType(java.lang.Class type)

    - #### create

          public FastClass create()

    - #### generateClass

          public void generateClass(ClassVisitor v)
                             throws java.lang.Exception

      Throws:
        `java.lang.Exception`

Copyright (c) 2001 - Apache Software Foundation